Page MenuHomePhabricator

Add all Release-Engineering team as Gerrit admins
Closed, ResolvedPublic

Description

Gerrit is under Release-Engineering-Team team area of responsibilities. From the team, only Chad has access to it, we need all of us to be granted admin rights there. Would let us fix issues such as T100409: https://github.com/wikimedia/mediawiki/ release tags vanished.

Our accounts:

thcipriani
dduvall
hashar
demon
zfilipin
twentyafterfour

Details

Related Gerrit Patches:

Event Timeline

hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, thcipriani, demon and 4 others.
Restricted Application added a project: acl*sre-team. · View Herald TranscriptMay 27 2015, 9:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 214255 had a related patch set uploaded (by Hashar):
Add all Release-Engineering team as Gerrit admins

https://gerrit.wikimedia.org/r/214255

Dzahn triaged this task as Medium priority.May 27 2015, 11:32 PM
Dzahn added a subscriber: Dzahn.
RobH added a subscriber: RobH.May 28 2015, 4:58 PM

@greg, can we get you to approve this as the manager of release engineering?

Some more discussion happening on https://gerrit.wikimedia.org/r/#/c/214255/ . I have poked RelEng internal mailing list about it.

Change 214255 merged by Dzahn:
Add all Release-Engineering team as Gerrit admins

https://gerrit.wikimedia.org/r/214255

Dzahn claimed this task.Jun 1 2015, 8:37 PM

Has been brought up in ops meeting today. No concerns have been raised. (for non-root access shell to read logfiles per the comments on the gerrit patch).

merged

Dzahn added a comment.Jun 1 2015, 8:48 PM

This created the users on node "antimony" (which includes role gitblit and role subversion but no gerrit role). It did _not_ create the users on node "ytterbium" which actually has role gerrit::production.

That's kind of strange for a group called gerrit-admin?

Dzahn added a comment.Jun 1 2015, 8:53 PM

hiera data:

role/common/gitblit.yaml: - gerrit-admin
role/common/gerrit/production.yaml: - gerrit-admin

Dzahn closed this task as Resolved.Jun 1 2015, 8:57 PM

it was just delayed somehow. now also on ytterbium:

Notice: /Stage[main]/Admin/Admin::Hashuser[hashar]/Admin::User[hashar]/User[hashar]/ensure: created

Notice: /Stage[main]/Admin/Admin::Hashuser[thcipriani]/Admin::User[thcipriani]/User[thcipriani]/ensure: created

Notice: /Stage[main]/Admin/Admin::Hashuser[dduvall]/Admin::User[dduvall]/User[dduvall]/ensure: created

Notice: /Stage[main]/Admin/Admin::Hashuser[twentyafterfour]/Admin::User[twentyafterfour]

Notice: /Stage[main]/Admin/Admin::Hashuser[zfilipin]/Admin::User[zfilipin]/Ssh::Userkey[zfilipin]/File[/etc/ssh/userkeys/zfilipin]/ensure: created

...
Notice: /Stage[main]/Admin/Admin::Groupmembers[gerrit-admin]/Exec[gerrit-admin_ensure_members]/returns: executed successfully


so this means shell on antimony and ytterbium. done.

I can log on both hosts. Thank you @Dzahn